error/moodle/cannotsavemd5file

Jump to: navigation, search

Note: You are currently viewing documentation for Moodle 1.9. Up-to-date documentation for the latest stable version is available here: error/moodle/cannotsavemd5file.

During installation of new language pack.

Probably Moodle can not create a directory *moodledata*/lang/XX_utf8 (where XX is a code of the country eg. US, UK, PL, SK) due to lack of permission (*moodledata* and lang should have write permissions) and/or php safe_mode is turned on.

To correct that:

- try to change write permissions to these directories
- try to turn off safe_mode (or if it is a hosted environment ask your admin to do so)
- create XX_utf8 directory on your own

And try to install language pack once again.